寒门亭
2021-09-26 23:39
采纳率: 100%
浏览 35

加RecycleView依赖之后编译通过不了

implementation 'androidx.recyclerview:recyclerview:1.1.0'
加了这个依赖报错

img

img

img

  • 收藏

5条回答 默认 最新

  • 初学者-Study 2021-09-27 09:45
    已采纳

    应该是support的v7库和androidx的库冲突了,你既然都已经用到了Android11,就把所有依赖库都切换到androidx就可以了。

    3 打赏 评论
  • le540850072 2021-09-27 09:39

    你这个报的错误是什么,你截图的位置看不到呢。一般在右侧区域能看到对应的错误信息:

    img

    1 打赏 评论
  • 楚江临 2021-09-27 10:16

    将你的 compileSdkVersion
    buildToolsVersion 降到28试试

    1 打赏 评论
  • zhang106209 2021-09-27 10:29

    将v7删掉,缓换成AndroidX就可以了

    1 打赏 评论

相关推荐 更多相似问题